Page MenuHomePhabricator

Decide app behavior for locally-overridden article descriptions
Closed, ResolvedPublic

Description

Since the keyword-override functionality for article descriptions has now been deployed (T184000), we need to decide how to handle cases where an article description has been overridden by the local keyword, and is no longer coming from Wikidata.

There are a few points/options to discuss:

  • If the description override is in effect, we can simply disable editing of the description from the app for that article. (The user can, of course, still edit the lead section of the article and edit the {{SHORTDESC}} template manually.)
  • We can apply a distinct syntax highlighting color to the {{SHORTDESC}} template, to make it easier to identify and edit.

Or...

  • We can keep our existing description editing workflow, but instead of sending the updated description to Wikidata, we take the actual text of the lead section and programmatically insert the new description into the {{SHORTDESC}} template, replacing its previous contents, transparently to the user.

Event Timeline

Dbrant created this task.Mar 29 2018, 2:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2018, 2:16 PM
Dbrant updated the task description. (Show Details)Mar 29 2018, 2:17 PM
RexxS added a subscriber: RexxS.Apr 3 2018, 5:08 PM

It's probably best to consider why we're diverting short descriptions from Wikidata to the local Wikipedia.

On the English Wikipedia, there was concern raised that a description made on Wikidata might not respect the policies in place on English Wikipedia. A possible example might be describing a prominent politician like Bernie Saunders as "Jewish", which may be seen as putting an undue spin on his ethnicity. En-wp forbids that, but Wikidata has no equivalent BLP policy that guides what is written. Nevertheless, that description would be seen on the English version of the Wikipedia App and in search suggestions, whose content should be solely within the purview of en-wp. Similarly, the description on Wikidata has no means of being associated with a reference, which is seen by many as an insuperable breach of the verifiability policy for content displayed on en-wp.

Another concern was that vandals could change a description on Wikidata which vandal-fighters on Wikipedia would need to track down on Wikidata. Many editors are used to working on their own language Wikipedia, but have no experience with editing Wikidata. Forcing them to move to what they see as a different project to correct vandalism is seen as very undesirable.

So, what we need is the ability to source the descriptions on the local language Wikipedia. There's no inherent contradiction with the concept of Wikidata providing a central resource, because the descriptions are monolingual text and exist separately for each language.

That means the descriptions must be able to be created and added locally.

In addition, the short description needs to be clearly visible to editors who wish to combat local vandalism - perhaps only in preview, or perhaps as displayed text that can be enabled via preferences for desktop view. Having the descriptions stand out from other text and in a prominent position would be an advantage for those who enable the display.

TheDJ added a subscriber: TheDJ.EditedApr 6 2018, 12:15 PM

We can keep our existing description editing workflow, but instead of sending the updated description to Wikidata, we take the actual text of the lead section and programmatically insert the new description into the {{SHORTDESC}} template, replacing its previous contents, transparently to the user.

You can't (and shouldn't) assume this is possible. The shortdesc can also be transcluded through another page or template. Just disable the editor, it's the better short term solution.

Dbrant closed this task as Resolved.Apr 10 2018, 1:15 PM
Dbrant claimed this task.

Closing in favor of T191337